#[repr(C)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
pub struct VkBuffer(usize);
SetupUSizeConv!(VkBuffer);

#[repr(C)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
pub struct VkBufferView(usize);
SetupUSizeConv!(VkBufferView);

#[repr(C)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
pub struct VkCommandBuffer(usize);
SetupUSizeConv!(VkCommandBuffer);

#[repr(C)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
pub struct VkCommandPool(usize);
SetupUSizeConv!(VkCommandPool);

#[repr(C)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
pub struct VkDescriptorPool(usize);
SetupUSizeConv!(VkDescriptorPool);

#[repr(C)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
pub struct VkDescriptorSet(usize);
SetupUSizeConv!(VkDescriptorSet);

#[repr(C)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
pub struct VkDescriptorSetLayout(usize);
SetupUSizeConv!(VkDescriptorSetLayout);

#[repr(C)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
pub struct VkDevice(usize);
SetupUSizeConv!(VkDevice);

#[repr(C)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
pub struct VkDeviceMemory(usize);
SetupUSizeConv!(VkDeviceMemory);

#[repr(C)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
pub struct VkEvent(usize);
SetupUSizeConv!(VkEvent);

#[repr(C)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
pub struct VkFence(usize);
SetupUSizeConv!(VkFence);

#[repr(C)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
pub struct VkFramebuffer(usize);
SetupUSizeConv!(VkFramebuffer);

#[repr(C)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
pub struct VkImage(usize);
SetupUSizeConv!(VkImage);

#[repr(C)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
pub struct VkImageView(usize);
SetupUSizeConv!(VkImageView);

#[repr(C)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
pub struct VkInstance(usize);
SetupUSizeConv!(VkInstance);

#[repr(C)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
pub struct VkPhysicalDevice(usize);
SetupUSizeConv!(VkPhysicalDevice);

#[repr(C)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
pub struct VkPipeline(usize);
SetupUSizeConv!(VkPipeline);

#[repr(C)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
pub struct VkPipelineCache(usize);
SetupUSizeConv!(VkPipelineCache);

#[repr(C)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
pub struct VkPipelineLayout(usize);
SetupUSizeConv!(VkPipelineLayout);

#[repr(C)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
pub struct VkQueryPool(usize);
SetupUSizeConv!(VkQueryPool);

#[repr(C)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
pub struct VkQueue(usize);
SetupUSizeConv!(VkQueue);

#[repr(C)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
pub struct VkRenderPass(usize);
SetupUSizeConv!(VkRenderPass);

#[repr(C)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
pub struct VkSampler(usize);
SetupUSizeConv!(VkSampler);

#[repr(C)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
pub struct VkSemaphore(usize);
SetupUSizeConv!(VkSemaphore);

#[repr(C)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
pub struct VkShaderModule(usize);
SetupUSizeConv!(VkShaderModule);
